<?
/**
 *      config.php - Edit this
 */

/* Config section - edit this! */

$mysql_hostname = 'localhost';
$mysql_username = 'helplink';
$mysql_password = 'helplink';
$mysql_database = 'helplink';

/* Requests are urgent if they have $urgent_num replies or less AND are $urgent_hours old
 * Requests are normal if they are less than $urgent_hours old AND have had $normal_num or less replies
 * Urgent requests are shown to everyone.
 * Normal requests are shown to everyone who wants to see them.
 * Anything else isn't shown in normal circumstances.
 */

$urgent_num = 1;
$urgent_hours = 18;
$normal_num = 4;

/* User session times out after this many minutes of inactivity */

$timeout_mins = 20;

/* If every staff member has an e-mail username@$sitedomain and you want to store their
   POP passwords in the database, you can get webmail with these lines.
   Don't want this? Delete the next two lines: */
$popserver = 'localhost';
$popport = 110;

/* These e-mail addresses can't ask for help. Watch those quotes and commas! */

$bannedlist = array('naughty@davidwatters.co.uk','dave@helplink.sf.net');

/* customisable links and html */

$sitename = 'Helplink'; // what is your site called? will show on pages
$sitedomain = 'helplink.sf.net';  // public email addresses are username@$sitedomain
$sitelink = 'http://localhost/~dave/helplink/'; // a link to your web site - best change this!
$siteemail = 'dave@helplink.sf.net'; // your site administrator's e-mail - please change!
$groupslink = '';    // link to a web site forum area, or '' if none exists
$chatlink = '';        // link to a web site chat area, or '' if none exists
$archivedir = 'archive'; // relative path to httpd-writable requests archive dir
$staffdir = 'staff';     // relative path to httpd-writable staff profiles dir
$max_image_size = 200;      // In kilobytes, max uploaded photo size.
$max_image_width = 200;
$max_image_height = 300;

// FIXME: Better mailing list management?
$maillist_filename = 'mailinglist.txt'; //file to add email address to end of when they subscribe

$login_message = "Welcome to $sitename on $sitedomain!";
$emailsignature = "
--
Peer advice from $sitelink

Disclaimer:  We are not professionals and are not responsible
for any negative effects that come from the use or misuse of
this advice.";

// shown at top of gethelp.php
$gethelp_intro = '<p>You may fill out the following form to request advice.
It is important to remember that our staff
members are not professionals and are not responsible for any negative effects
that come from the use or misuse of this advice. If you are in any serious
trouble, please exit now and contact your local authorities.</p>
<p>See if your question has already been answered in one of these
places:
<ul>
<li><a href="archive">In an Archived Question</a></li>';
if ($groupslink != '') {
    $gethelp_intro .= "<li><a href=\"$groupslink\">In our Support Groups</a></li>";
}
$gethelp_intro .= '</ul>';
if ($chatlink!='') {
    $gethelp_intro .= "<p>Alternatively you could see if anyone in our <a href=\"$chatlink\">chat room</a> is available to help you.</p>";
}


//shown at top of journal.php
$journal_intro = '<p>Welcome to the Staff Journal. This is a publicly accessible journal that mentors are free to share their thoughts, ideas and feelings about anything for others to view. If you\'d like to see older journal entries, simply select a valid date from the menu at the bottom of this page.</p><hr />';

$denied_start = '<h1>Denied!</h1><p>You\'ve got to be a <a href="login.php">logged in</a> user with V (actiVe) and ';
$denied_end = " rights to be here. If you think you should be allowed here, e-mail <a href=\"mailto:$siteemail\">$siteemail</a> and complain.</p>";

$denied_admin = $denied_start.'A (Admin) or S (Super Admin)'.$denied_end;
$denied_mentor = $denied_start.'M (Mentor)'.$denied_end;
$denied_edit = $denied_start.'P (Profile)'.$denied_end;

$inactive_login = '<p>Your account has been set as inactive. Please e-mail someone to
    get that fixed if you don\'t think you should be inactive.</p>';

$login_bad = '<p>You are not logged in. Perhaps you typed your username or password
incorrectly. Remember, they are both case sensitive ("a" is not the same as "A". Please try again below.</p>';

$lost_html_1 = '<p>Type your username or your e-mail address below, and a new password
will be e-mailed to you. If your e-mail address stored here is an old one you can no
longer check, you\'re screwed. We don\'t even know your password!</p>';

$lost_html_2 = '<p>The values you entered were unsuitable for getting a new password.
Did you make a mistake?</p>';

function lost_message($username, $password) {
    global $sitename, $emailsignature, $REMOTE_ADDR, $HTTP_USER_AGENT;
    return "
Someone (hopefully you!) requested a new password for your account at
Teenhelp's $sitename. Here are your new details:

Username: $username
Password: $password

You should log on with this username and password immediately. When
you are logged in, you should change your password.

If you didn't request a new username and password, contact an admin
and give them this debugging info:
REMOTE_ADDR: ".$HTTP_SERVER_VARS['REMOTE_ADDR']."
HTTP_USER_AGENT: ".$HTTP_SERVER_VARS['HTTP_USER_AGENT']."

Regards,
$sitename

$emailsignature";
}

/* Some junk for pop3 sessions */

$pop_use_top = 0;
$appversion = "1.0";
$appname = 'Webmail';
$mime_show_html = 1;
$footer='';
$enable_debug=0;
$idle_timeout=10;



/* No need to edit past here. */
?>
